<script>
    export let subplotLayout;
    export let xScale;
    let titleColor = "#000000";
    $: leftMargin = xScale.range()[0];
    $: rightMargin = xScale.range()[1];
    $: if (subplotLayout.title_color) { titleColor = subplotLayout.title_color; } else { titleColor = "gray";}
</script>

<g class="framelabel">
    <text filter="url(#whiteOutlineEffect)" x="{leftMargin + 10}" y="{subplotLayout.y + 6}" dominant-baseline="hanging" text-anchor="begin" font-size="10pt" font-weight="bold" fill="black">{subplotLayout.title}</text>
</g>
